Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Class StaticImportVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.ast.ClassCodeExpressionTransformer
                  org.codehaus.groovy.control.StaticImportVisitor

    public class StaticImportVisitor
    extends ClassCodeExpressionTransformer

Visitor to resolve constants and method calls from static Imports

Authors:
  Jochen Theodorou
  Paul King

Constructor Summary
`StaticImportVisitor(CompilationUnit cu)`

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`Expression` | `transform(Expression exp)`
`protected Expression` | `transformBinaryExpression(BinaryExpression be)`
`protected Expression` | `transformClosureExpression(ClosureExpression ce)`
`protected Expression` | `transformConstructorCallExpression(ConstructorCallExpression cce)`
`protected Expression` | `transformMethodCallExpression(MethodCallExpression mce)`
`protected Expression` | `transformPropertyExpression(PropertyExpression pe)`
`protected Expression` | `transformVariableExpression(VariableExpression ve)`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitClass(ClassNode node, SourceUnit source)`
`protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`

Methods inherited from class ClassCodeExpressionTransformer
transform, visitAnnotations, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop

Methods inherited from class ClassCodeVisitorSupport

addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StaticImportVisitor

    public StaticImportVisitor(CompilationUnit cu)

Method Detail

### getSourceUnit

    protected SourceUnit getSourceUnit()

### transform

    public Expression transform(Expression exp)

### transformBinaryExpression

    protected Expression transformBinaryExpression(BinaryExpression be)

### transformClosureExpression

    protected Expression transformClosureExpression(ClosureExpression ce)

### transformConstructorCallExpression

    protected Expression transformConstructorCallExpression(ConstructorCallExpression cce)

### transformMethodCallExpression

    protected Expression transformMethodCallExpression(MethodCallExpression mce)

### transformPropertyExpression

    protected Expression transformPropertyExpression(PropertyExpression pe)

### transformVariableExpression

    protected Expression transformVariableExpression(VariableExpression ve)

### visitAnnotations

    @Override
    public void visitAnnotations(AnnotatedNode node)

### visitClass

    public void visitClass(ClassNode node, SourceUnit source)

### visitConstructorOrMethod

    @Override
    protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

Copyright © 2003-2010 The Codehaus. All rights reserved.